Home | All Classes | Grouped Classes | Index | Search

# CL_CollisionOutline::optimize

Optimize the outline by removing redundant points.

    	void optimize(
    		unsigned char check_distance=3, float corner_angle=M_PI/5.0f);

Parameters:

unsigned char check_distance
  the distance of points compared on the outline
float corner_angle
  angle for a corner

See also:

CL_CollisionOutline

Questions or comments, write to the ClanLib mailing list.